unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IniFiles;

type
  TStartupMode = (smNormal, smMaximized, smMinimized);
  TfrmMain = class(TForm)
    gbBackup: TGroupBox;
    cbConfig: TCheckBox;
    cbDatabase: TCheckBox;
    btnSave: TButton;
    btnQuit: TButton;
    gbPath: TGroupBox;
    edtPath: TEdit;
    btnBrowse: TButton;
    odMain: TOpenDialog;
    procedure btnQuitClick(Sender: TObject);
    procedure btnBrowseClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;
  Path: string;

implementation

uses
  ShellAPI;

var
  Ini: TIniFile;


{$R *.dfm}

procedure TfrmMain.btnSaveClick(Sender: TObject);
begin
  Ini.WriteBool('Backup','Config',cbConfig.Checked);
  Ini.WriteBool('Backup','Database',cbDatabase.Checked);
  Ini.WriteString('Execute','Path',edtPath.Text);
  Ini.UpdateFile;
  Ini.Free;
  Application.Terminate;
end;

procedure TfrmMain.btnBrowseClick(Sender: TObject);
begin
  if odMain.Execute then
    edtPath.Text := ExtractFileDir(odMain.FileName);
end;

procedure TfrmMain.btnQuitClick(Sender: TObject);
begin
  Ini.Free;
  Application.Terminate;
end;

begin
  Ini := TIniFile.Create(ChangeFileExt(Application.ExeName, '.ini'));
end.


