program foo_loader;

uses
  Forms, SysUtils, IniFiles, Windows, ShellAPI,
  MainForm in 'MainForm.pas' {frmMain};

{$R *.res}

var
  Ini: TIniFile;
  Year, Month, Day, Hour, Min, Sec, mSec: word;
  CurrTimeStamp, CfgStr, DBStr: string;
  Path,TempPath: string;
  Handle: integer;
  Mode: integer;

begin
  Application.Initialize;
  Application.Title := 'foobar2000 Loader';
  if (not FileExists(ChangeFileExt(Application.ExeName, '.ini'))) or (ParamStr(1) <> '') then
  begin
    Application.CreateForm(TfrmMain, frmMain);
    Application.Run;
  end
  else
  begin
    Ini := TIniFile.Create(ChangeFileExt(Application.ExeName, '.ini'));
    Path := Ini.ReadString('Execute','Path','c:\program files\foobar2000');
    {$i-}
    MkDir(Path+'\backup');
    {$i+}
    DecodeDate(Now,Year,Month,Day);
    DecodeTime(Now,Hour,Min,Sec,MSec);
    CurrTimeStamp := Format('%4d%.2d%.2d.%.2d%.2d',[Year, Month, Day, Hour, Min])+#0;
    if Ini.ReadBool('Backup','Config',true) then
    begin
      CfgStr := Path+'\backup\foobar2000.cfg.'+CurrTimeStamp;
      TempPath := Path+'\foobar2000.cfg'+#0;
      CopyFile(@TempPath[1],@CfgStr[1],true);
    end;
    if Ini.ReadBool('Backup','Database',true) then
    begin
      DBStr := Path+'\backup\database.foo.'+CurrTimeStamp;
      TempPath := Path+'\database.foo';
      CopyFile(@TempPath[1],@DBStr[1],true);
    end;
    TempPath := Path+'\foobar2000.exe'+#0;
    ShellExecute(Handle, 'open', @TempPath[1], nil, nil, 0);
    Ini.Free;
    Application.Terminate;
  end;
end.

